"""
This is a Python script to merge blender_assets.cats.txt from all subfolders into one.
Please replace the text "Please replace with your own path" in the single quotes on line 11 with your folder path. 
For example D:\Maxtree, It should look like below:
path = r'D:\Maxtree'
"""

import os


path = r'Please replace with your own path'
path = path.replace("\\", "/")

folders = [os.path.join(path,dirs) for dirs in os.listdir(path) if os.path.isdir(os.path.join(path,dirs))]
main_folder_txtfile = os.path.join(path,'blender_assets.cats.txt')

with open (main_folder_txtfile,mode='w+',encoding='utf-8') as f:
    f.write(
"""# This is an Asset Catalog Definition file for Blender.
#
# Empty lines and lines starting with `#` will be ignored.
# The first non-ignored line should be the version indicator.
# Other lines are of the format "UUID:catalog/path/for/assets:simple catalog name"
                    
VERSION 1

"""
)
    for vol_folder in folders:
        vol_txt = os.path.join(vol_folder,'blender_assets.cats.txt')
        if os.path.exists(vol_txt):
            with open(vol_txt, 'r+') as t:
                for line in t.readlines():
                    if line.startswith(("#", "VERSION", "\n")):
                        continue
                    else:
                        f.write(line)
                
